View Issue Details

IDProjectCategoryView StatusLast Update
0011908mantisbthtmlpublic2014-12-08 00:34
ReporterklklAssigned Todhx 
PrioritylowSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Versiongit trunk 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0011908: CSS class names on View Issues page (patch)
Description

I've added class names to columns on View Issues page to make CSS-based customizations easier.

Additional Information

It's for git master (1.3.x)

TagsNo tags attached.

Relationships

related to 0015721 closedgrangeway Functionality to consider porting to master-2.0.x 

Activities

klkl

klkl

2010-05-11 07:43

reporter  

columns.patch (27,071 bytes)
From 34fd7b3b9f7341bbfcfb90b790b712e35ce03838 Mon Sep 17 00:00:00 2001
From: Kornel Lesinski <kornel@aardvarkmedia.co.uk>
Date: Mon, 10 May 2010 14:40:47 +0100
Subject: [PATCH 1/2] Added CSS class names to cells on View Issues page

---
 core/columns_api.php |   60 +++++++++++++++++++++++++-------------------------
 1 files changed, 30 insertions(+), 30 deletions(-)

diff --git a/core/columns_api.php b/core/columns_api.php
index aa40e88..84e9934 100644
--- a/core/columns_api.php
+++ b/core/columns_api.php
@@ -879,7 +879,7 @@ function print_column_title_overdue( $p_sort, $p_dir, $p_columns_target = COLUMN
 function print_column_selection( $p_bug, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
 	global $g_checkboxes_exist;
 
-	echo '<td>';
+	echo '<td class="column-selection">';
 	if( access_has_any_project( config_get( 'report_bug_threshold', null, null, $p_bug->project_id ) ) ||
 		# !TODO: check if any other projects actually exist for the bug to be moved to
 		access_has_project_level( config_get( 'move_bug_threshold', null, null, $p_bug->project_id ), $p_bug->project_id ) ||
@@ -930,7 +930,7 @@ function print_column_title_plugin( $p_column, $p_column_object, $p_sort, $p_dir
  */
 function print_column_plugin( $p_column_object, $p_bug, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
 	if ( $p_columns_target != COLUMNS_TARGET_CSV_PAGE ) {
-		echo '<td>';
+		echo '<td class="column-plugin">';
 		$p_column_object->display( $p_bug, $p_columns_target );
 		echo '</td>';
 	} else {
@@ -948,7 +948,7 @@ function print_column_plugin( $p_column_object, $p_bug, $p_columns_target = COLU
 function print_column_edit( $p_bug, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
 	global $t_icon_path, $t_update_bug_threshold;
 
-	echo '<td>';
+	echo '<td class="column-edit">';
 
 	if( !bug_is_readonly( $p_bug->id ) && access_has_bug_level( config_get( 'update_bug_threshold' ), $p_bug->id ) ) {
 		echo '<a href="' . string_get_bug_update_url( $p_bug->id ) . '">';
@@ -970,7 +970,7 @@ function print_column_edit( $p_bug, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE
  * @access public
  */
 function print_column_priority( $p_bug, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
-	echo '<td>';
+	echo '<td class="column-priority">';
 	if( ON == config_get( 'show_priority_text' ) ) {
 		print_formatted_priority_string( $p_bug->status, $p_bug->priority );
 	} else {
@@ -987,7 +987,7 @@ function print_column_priority( $p_bug, $p_columns_target = COLUMNS_TARGET_VIEW_
  * @access public
  */
 function print_column_id( $p_bug, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
-	echo '<td>';
+	echo '<td class="column-id">';
 	print_bug_link( $p_bug->id, false );
 	echo '</td>';
 }
@@ -1000,7 +1000,7 @@ function print_column_id( $p_bug, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE )
  * @access public
  */
 function print_column_sponsorship_total( $p_bug, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
-	echo "\t<td class=\"right\">";
+	echo "\t<td class=\"right column-sponsorship\">";
 
 	if( $p_bug->sponsorship_total > 0 ) {
 		$t_sponsorship_amount = sponsorship_format_amount( $p_bug->sponsorship_total );
@@ -1029,7 +1029,7 @@ function print_column_bugnotes_count( $p_bug, $p_columns_target = COLUMNS_TARGET
 		$bugnote_count = 0;
 	}
 
-	echo '<td class="center">';
+	echo '<td class="center column-bugnotes-count">';
 	if( $bugnote_count > 0 ) {
 		$t_show_in_bold = $v_bugnote_updated > strtotime( '-' . $t_filter[FILTER_PROPERTY_HIGHLIGHT_CHANGED] . ' hours' );
 		if( $t_show_in_bold ) {
@@ -1062,7 +1062,7 @@ function print_column_attachment_count( $p_bug, $p_columns_target = COLUMNS_TARG
 		$t_attachment_count = file_bug_attachment_count( $p_bug->id );
 	}
 
-	echo '<td class="center">';
+	echo '<td class="center column-attachments">';
 
 	if ( $t_attachment_count > 0 ) {
 		$t_href = string_get_bug_view_url( $p_bug->id ) . '#attachments';
@@ -1093,11 +1093,11 @@ function print_column_category_id( $p_bug, $p_columns_target = COLUMNS_TARGET_VI
 	# grab the project name
 	$t_project_name = project_get_field( $p_bug->project_id, 'name' );
 
-	echo '<td class="center">';
+	echo '<td class="center column-category">';
 
 	# type project name if viewing 'all projects' or if issue is in a subproject
  	if( ON == config_get( 'show_bug_project_links' ) && helper_get_current_project() != $p_bug->project_id ) {
-		echo '<small>[';
+		echo '<small class="project">[';
 		print_view_bug_sort_link( string_display_line( $t_project_name ), 'project_id', $t_sort, $t_dir, $p_columns_target );
 		echo ']</small><br />';
 	}
@@ -1115,7 +1115,7 @@ function print_column_category_id( $p_bug, $p_columns_target = COLUMNS_TARGET_VI
  * @access public
  */
 function print_column_severity( $p_bug, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
-	echo '<td class="center">';
+	echo '<td class="center column-severity">';
 	print_formatted_severity_string( $p_bug->status, $p_bug->severity );
 	echo '</td>';
 }
@@ -1128,7 +1128,7 @@ function print_column_severity( $p_bug, $p_columns_target = COLUMNS_TARGET_VIEW_
  * @access public
  */
 function print_column_eta( $p_bug, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
-	echo '<td class="center">', get_enum_element( 'eta', $p_bug->eta ), '</td>';
+	echo '<td class="center column-eta">', get_enum_element( 'eta', $p_bug->eta ), '</td>';
 }
 
 /**
@@ -1139,7 +1139,7 @@ function print_column_eta( $p_bug, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE
  * @access public
  */
 function print_column_projection( $p_bug, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
-	echo '<td class="center">', get_enum_element( 'projection', $p_bug->projection ), '</td>';
+	echo '<td class="center column-projection">', get_enum_element( 'projection', $p_bug->projection ), '</td>';
 }
 
 /**
@@ -1150,7 +1150,7 @@ function print_column_projection( $p_bug, $p_columns_target = COLUMNS_TARGET_VIE
  * @access public
  */
 function print_column_reproducibility( $p_bug, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
-	echo '<td class="center">', get_enum_element( 'reproducibility', $p_bug->reproducibility ), '</td>';
+	echo '<td class="center column-reproducibility">', get_enum_element( 'reproducibility', $p_bug->reproducibility ), '</td>';
 }
 
 /**
@@ -1161,7 +1161,7 @@ function print_column_reproducibility( $p_bug, $p_columns_target = COLUMNS_TARGE
  * @access public
  */
 function print_column_resolution( $p_bug, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
-	echo '<td class="center">', get_enum_element( 'resolution', $p_bug->resolution ), '</td>';
+	echo '<td class="center column-resolution">', get_enum_element( 'resolution', $p_bug->resolution ), '</td>';
 }
 
 /**
@@ -1172,7 +1172,7 @@ function print_column_resolution( $p_bug, $p_columns_target = COLUMNS_TARGET_VIE
  * @access public
  */
 function print_column_status( $p_bug, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
-	echo '<td class="center">';
+	echo '<td class="center column-status">';
 	printf( '<span class="issue-status" title="%s">%s</span>', get_enum_element( 'resolution', $p_bug->resolution ), get_enum_element( 'status', $p_bug->status ) );
 
 	# print username instead of status
@@ -1190,7 +1190,7 @@ function print_column_status( $p_bug, $p_columns_target = COLUMNS_TARGET_VIEW_PA
  * @access public
  */
 function print_column_handler_id( $p_bug, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
-	echo '<td class="center">';
+	echo '<td class="center column-assigned-to">';
 
 	# In case of a specific project, if the current user has no access to the field, then it would have been excluded from the
 	# list of columns to view.  In case of ALL_PROJECTS, then we need to check the access per row.
@@ -1209,7 +1209,7 @@ function print_column_handler_id( $p_bug, $p_columns_target = COLUMNS_TARGET_VIE
  * @access public
  */
 function print_column_reporter_id( $p_bug, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
-	echo '<td class="center">';
+	echo '<td class="center column-reporter">';
 	echo prepare_user_name( $p_bug->reporter_id );
 	echo '</td>';
 }
@@ -1222,7 +1222,7 @@ function print_column_reporter_id( $p_bug, $p_columns_target = COLUMNS_TARGET_VI
  * @access public
  */
 function print_column_project_id( $p_bug, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
-	echo '<td class="center">';
+	echo '<td class="center column-project-id">';
 	echo string_display_line( project_get_name( $p_bug->project_id ) );
 	echo '</td>';
 }
@@ -1239,7 +1239,7 @@ function print_column_last_updated( $p_bug, $p_columns_target = COLUMNS_TARGET_V
 
 	$t_last_updated = string_display_line( date( config_get( 'short_date_format' ), $p_bug->last_updated ) );
 
-	echo '<td class="center">';
+	echo '<td class="center column-last-modified">';
 	if( $p_bug->last_updated > strtotime( '-' . $t_filter[FILTER_PROPERTY_HIGHLIGHT_CHANGED] . ' hours' ) ) {
 		printf( '<span class="bold">%s</span>', $t_last_updated );
 	} else {
@@ -1258,7 +1258,7 @@ function print_column_last_updated( $p_bug, $p_columns_target = COLUMNS_TARGET_V
 function print_column_date_submitted( $p_bug, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
 	$t_date_submitted = string_display_line( date( config_get( 'short_date_format' ), $p_bug->date_submitted ) );
 
-	echo '<td class="center">', $t_date_submitted, '</td>';
+	echo '<td class="center column-date-submitted">', $t_date_submitted, '</td>';
 }
 
 /**
@@ -1275,7 +1275,7 @@ function print_column_summary( $p_bug, $p_columns_target = COLUMNS_TARGET_VIEW_P
 		$t_summary = string_display_line_links( $p_bug->summary );
 	}
 
-	echo '<td class="left">' . $t_summary . '</td>';
+	echo '<td class="left column-summary">' . $t_summary . '</td>';
 }
 
 /**
@@ -1288,7 +1288,7 @@ function print_column_summary( $p_bug, $p_columns_target = COLUMNS_TARGET_VIEW_P
 function print_column_description( $p_bug, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
 	$t_description = string_display_links( $p_bug->description );
 
-	echo '<td class="left">', $t_description, '</td>';
+	echo '<td class="left column-description">', $t_description, '</td>';
 }
 
 /**
@@ -1301,7 +1301,7 @@ function print_column_description( $p_bug, $p_columns_target = COLUMNS_TARGET_VI
 function print_column_steps_to_reproduce( $p_bug, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
 	$t_steps_to_reproduce = string_display_links( $p_bug->steps_to_reproduce );
 
-	echo '<td class="left">', $t_steps_to_reproduce, '</td>';
+	echo '<td class="left column-steps-to-reproduce">', $t_steps_to_reproduce, '</td>';
 }
 
 /**
@@ -1314,7 +1314,7 @@ function print_column_steps_to_reproduce( $p_bug, $p_columns_target = COLUMNS_TA
 function print_column_additional_information( $p_bug, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
 	$t_additional_information = string_display_links( $p_bug->additional_information );
 
-	echo '<td class="left">', $t_additional_information, '</td>';
+	echo '<td class="left column-additional-information">', $t_additional_information, '</td>';
 }
 
 /**
@@ -1325,7 +1325,7 @@ function print_column_additional_information( $p_bug, $p_columns_target = COLUMN
  * @access public
  */
 function print_column_target_version( $p_bug, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
-	echo '<td>';
+	echo '<td class="column-target-version">';
 
 	# In case of a specific project, if the current user has no access to the field, then it would have been excluded from the
 	# list of columns to view.  In case of ALL_PROJECTS, then we need to check the access per row.
@@ -1346,7 +1346,7 @@ function print_column_target_version( $p_bug, $p_columns_target = COLUMNS_TARGET
 function print_column_view_state( $p_bug, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
 	global $t_icon_path;
 
-	echo '<td>';
+	echo '<td class="column-view-state">';
 
 	if( VS_PRIVATE == $p_bug->view_state ) {
 		$t_view_state_text = lang_get( 'private' );
@@ -1368,12 +1368,12 @@ function print_column_view_state( $p_bug, $p_columns_target = COLUMNS_TARGET_VIE
 function print_column_due_date( $p_bug, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
 	if ( !access_has_bug_level( config_get( 'due_date_view_threshold' ), $p_bug->id ) ||
 		date_is_null( $p_bug->due_date ) ) {
-		echo '<td>&nbsp;</td>';
+		echo '<td class="column-due-date">&nbsp;</td>';
 		return;
 	}
 
 	if ( bug_is_overdue( $p_bug->id ) ) {
-		echo '<td class="overdue">';
+		echo '<td class="column-due-date overdue">';
 	} else {
 		echo '<td>';
 	}
@@ -1393,7 +1393,7 @@ function print_column_due_date( $p_bug, $p_columns_target = COLUMNS_TARGET_VIEW_
 function print_column_overdue( $p_bug, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
 	global $t_icon_path;
 
-	echo '<td>';
+	echo '<td class="column-overdue">';
 
 	if ( access_has_bug_level( config_get( 'due_date_view_threshold' ), $p_bug->id ) &&
 		!date_is_null( $p_bug->due_date ) &&
-- 
1.7.0.2


From 4681879dd69adb610ece12152da7c4ce681bb719 Mon Sep 17 00:00:00 2001
From: Kornel Lesinski <kornel@aardvarkmedia.co.uk>
Date: Mon, 10 May 2010 15:20:58 +0100
Subject: [PATCH 2/2] Changed table headers on View Issues page to use <th>. Added some CSS class names.

---
 core/columns_api.php |  108 +++++++++++++++++++++++++-------------------------
 1 files changed, 54 insertions(+), 54 deletions(-)

diff --git a/core/columns_api.php b/core/columns_api.php
index 84e9934..0a92eb1 100644
--- a/core/columns_api.php
+++ b/core/columns_api.php
@@ -408,7 +408,7 @@ function columns_remove_invalid( $p_columns, $p_columns_all ) {
  * @access public
  */
 function print_column_title_selection( $p_sort, $p_dir, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
-	echo '<td> &nbsp; </td>';
+	echo '<th class="column-selection"> &nbsp; </th>';
 }
 
 /**
@@ -420,7 +420,7 @@ function print_column_title_selection( $p_sort, $p_dir, $p_columns_target = COLU
  * @access public
  */
 function print_column_title_edit( $p_sort, $p_dir, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
-	echo '<td> &nbsp; </td>';
+	echo '<th class="column-edit"> &nbsp; </th>';
 }
 
 /**
@@ -432,10 +432,10 @@ function print_column_title_edit( $p_sort, $p_dir, $p_columns_target = COLUMNS_T
  * @access public
  */
 function print_column_title_id( $p_sort, $p_dir, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
-	echo '<td>';
+	echo '<th class="column-id">';
 	print_view_bug_sort_link( lang_get( 'id' ), 'id', $p_sort, $p_dir, $p_columns_target );
 	print_sort_icon( $p_dir, $p_sort, 'id' );
-	echo '</td>';
+	echo '</th>';
 }
 
 /**
@@ -447,10 +447,10 @@ function print_column_title_id( $p_sort, $p_dir, $p_columns_target = COLUMNS_TAR
  * @access public
  */
 function print_column_title_project_id( $p_sort, $p_dir, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
-	echo '<td>';
+	echo '<th class="column-project">';
 	print_view_bug_sort_link( lang_get( 'email_project' ), 'project_id', $p_sort, $p_dir, $p_columns_target );
 	print_sort_icon( $p_dir, $p_sort, 'project_id' );
-	echo '</td>';
+	echo '</th>';
 }
 
 /**
@@ -462,10 +462,10 @@ function print_column_title_project_id( $p_sort, $p_dir, $p_columns_target = COL
  * @access public
  */
 function print_column_title_reporter_id( $p_sort, $p_dir, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
-	echo '<td>';
+	echo '<th class="column-reporter">';
 	print_view_bug_sort_link( lang_get( 'reporter' ), 'reporter_id', $p_sort, $p_dir, $p_columns_target );
 	print_sort_icon( $p_dir, $p_sort, 'reporter_id' );
-	echo '</td>';
+	echo '</th>';
 }
 
 /**
@@ -477,10 +477,10 @@ function print_column_title_reporter_id( $p_sort, $p_dir, $p_columns_target = CO
  * @access public
  */
 function print_column_title_handler_id( $p_sort, $p_dir, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
-	echo '<td>';
+	echo '<th class="column-assigned-to">';
 	print_view_bug_sort_link( lang_get( 'assigned_to' ), 'handler_id', $p_sort, $p_dir, $p_columns_target );
 	print_sort_icon( $p_dir, $p_sort, 'handler_id' );
-	echo '</td>';
+	echo '</th>';
 }
 
 /**
@@ -492,10 +492,10 @@ function print_column_title_handler_id( $p_sort, $p_dir, $p_columns_target = COL
  * @access public
  */
 function print_column_title_priority( $p_sort, $p_dir, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
-	echo '<td>';
+	echo '<th class="column-priority">';
 	print_view_bug_sort_link( lang_get( 'priority_abbreviation' ), 'priority', $p_sort, $p_dir, $p_columns_target );
 	print_sort_icon( $p_dir, $p_sort, 'priority' );
-	echo '</td>';
+	echo '</th>';
 }
 
 /**
@@ -507,10 +507,10 @@ function print_column_title_priority( $p_sort, $p_dir, $p_columns_target = COLUM
  * @access public
  */
 function print_column_title_reproducibility( $p_sort, $p_dir, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
-	echo '<td>';
+	echo '<th class="column-reproducibility">';
 	print_view_bug_sort_link( lang_get( 'reproducibility' ), 'reproducibility', $p_sort, $p_dir, $p_columns_target );
 	print_sort_icon( $p_dir, $p_sort, 'reproducibility' );
-	echo '</td>';
+	echo '</th>';
 }
 
 /**
@@ -522,10 +522,10 @@ function print_column_title_reproducibility( $p_sort, $p_dir, $p_columns_target
  * @access public
  */
 function print_column_title_projection( $p_sort, $p_dir, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
-	echo '<td>';
+	echo '<th class="column-projection">';
 	print_view_bug_sort_link( lang_get( 'projection' ), 'projection', $p_sort, $p_dir, $p_columns_target );
 	print_sort_icon( $p_dir, $p_sort, 'projection' );
-	echo '</td>';
+	echo '</th>';
 }
 
 /**
@@ -537,10 +537,10 @@ function print_column_title_projection( $p_sort, $p_dir, $p_columns_target = COL
  * @access public
  */
 function print_column_title_eta( $p_sort, $p_dir, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
-	echo '<td>';
+	echo '<th class="column-eta">';
 	print_view_bug_sort_link( lang_get( 'eta' ), 'eta', $p_sort, $p_dir, $p_columns_target );
 	print_sort_icon( $p_dir, $p_sort, 'eta' );
-	echo '</td>';
+	echo '</th>';
 }
 
 /**
@@ -552,10 +552,10 @@ function print_column_title_eta( $p_sort, $p_dir, $p_columns_target = COLUMNS_TA
  * @access public
  */
 function print_column_title_resolution( $p_sort, $p_dir, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
-	echo '<td>';
+	echo '<th>';
 	print_view_bug_sort_link( lang_get( 'resolution' ), 'resolution', $p_sort, $p_dir, $p_columns_target );
 	print_sort_icon( $p_dir, $p_sort, 'resolution' );
-	echo '</td>';
+	echo '</th>';
 }
 
 /**
@@ -567,10 +567,10 @@ function print_column_title_resolution( $p_sort, $p_dir, $p_columns_target = COL
  * @access public
  */
 function print_column_title_fixed_in_version( $p_sort, $p_dir, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
-	echo '<td>';
+	echo '<th>';
 	print_view_bug_sort_link( lang_get( 'fixed_in_version' ), 'fixed_in_version', $p_sort, $p_dir, $p_columns_target );
 	print_sort_icon( $p_dir, $p_sort, 'fixed_in_version' );
-	echo '</td>';
+	echo '</th>';
 }
 
 /**
@@ -598,12 +598,12 @@ function print_column_title_target_version( $p_sort, $p_dir, $p_columns_target =
  */
 function print_column_title_view_state( $p_sort, $p_dir, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
 	global $t_icon_path;
-	echo '<td>';
+	echo '<th class="column-view-state">';
 	$t_view_state_text = lang_get( 'view_status' );
 	$t_view_state_icon = '<img src="' . $t_icon_path . 'protected.gif" alt="' . $t_view_state_text . '" title="' . $t_view_state_text . '" />';
 	print_view_bug_sort_link( $t_view_state_icon, 'view_state', $p_sort, $p_dir, $p_columns_target );
 	print_sort_icon( $p_dir, $p_sort, 'view_state' );
-	echo '</td>';
+	echo '</th>';
 }
 
 /**
@@ -646,10 +646,10 @@ function print_column_title_os_build( $p_sort, $p_dir, $p_columns_target = COLUM
  */
 function print_column_title_build( $p_sort, $p_dir, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
 	if( $p_columns_target != COLUMNS_TARGET_CSV_PAGE ) {
-		echo '<td>';
+		echo '<th class="column-build">';
 		print_view_bug_sort_link( lang_get( 'build' ), 'build', $p_sort, $p_dir, $p_columns_target );
 		print_sort_icon( $p_dir, $p_sort, 'build' );
-		echo '</td>';
+		echo '</th>';
 	} else {
 		echo lang_get( 'build' );
 	}
@@ -664,10 +664,10 @@ function print_column_title_build( $p_sort, $p_dir, $p_columns_target = COLUMNS_
  * @access public
  */
 function print_column_title_platform( $p_sort, $p_dir, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
-	echo '<td>';
+	echo '<th class="column-platform">';
 	print_view_bug_sort_link( lang_get( 'platform' ), 'platform', $p_sort, $p_dir, $p_columns_target );
 	print_sort_icon( $p_dir, $p_sort, 'platform' );
-	echo '</td>';
+	echo '</th>';
 }
 
 /**
@@ -679,10 +679,10 @@ function print_column_title_platform( $p_sort, $p_dir, $p_columns_target = COLUM
  * @access public
  */
 function print_column_title_version( $p_sort, $p_dir, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
-	echo '<td>';
+	echo '<th class="column-version">';
 	print_view_bug_sort_link( lang_get( 'product_version' ), 'version', $p_sort, $p_dir, $p_columns_target );
 	print_sort_icon( $p_dir, $p_sort, 'version' );
-	echo '</td>';
+	echo '</th>';
 }
 
 /**
@@ -694,10 +694,10 @@ function print_column_title_version( $p_sort, $p_dir, $p_columns_target = COLUMN
  * @access public
  */
 function print_column_title_date_submitted( $p_sort, $p_dir, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
-	echo '<td>';
+	echo '<th class="column-date-submitted">';
 	print_view_bug_sort_link( lang_get( 'date_submitted' ), 'date_submitted', $p_sort, $p_dir, $p_columns_target );
 	print_sort_icon( $p_dir, $p_sort, 'date_submitted' );
-	echo '</td>';
+	echo '</th>';
 }
 
 /**
@@ -712,7 +712,7 @@ function print_column_title_attachment_count( $p_sort, $p_dir, $p_columns_target
 	global $t_icon_path;
 	$t_attachment_count_text = lang_get( 'attachment_count' );
 	$t_attachment_count_icon = "<img src=\"${t_icon_path}attachment.png\" alt=\"$t_attachment_count_text\" title=\"$t_attachment_count_text\" />";
-	echo "\t<td>$t_attachment_count_icon</td>\n";
+	echo "\t<th class=\"column-attachments\">$t_attachment_count_icon</th>\n";
 }
 
 /**
@@ -724,10 +724,10 @@ function print_column_title_attachment_count( $p_sort, $p_dir, $p_columns_target
  * @access public
  */
 function print_column_title_category( $p_sort, $p_dir, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
-	echo '<td>';
+	echo '<th class="column-category">';
 	print_view_bug_sort_link( lang_get( 'category' ), 'category', $p_sort, $p_dir, $p_columns_target );
 	print_sort_icon( $p_dir, $p_sort, 'category' );
-	echo '</td>';
+	echo '</th>';
 }
 
 /**
@@ -739,10 +739,10 @@ function print_column_title_category( $p_sort, $p_dir, $p_columns_target = COLUM
  * @access public
  */
 function print_column_title_sponsorship_total( $p_sort, $p_dir, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
-	echo "\t<td>";
+	echo "\t<th class=\"column-sponsorship\">";
 	print_view_bug_sort_link( sponsorship_get_currency(), 'sponsorship_total', $p_sort, $p_dir, $p_columns_target );
 	print_sort_icon( $p_dir, $p_sort, 'sponsorship_total' );
-	echo "</td>\n";
+	echo "</th>\n";
 }
 
 /**
@@ -754,10 +754,10 @@ function print_column_title_sponsorship_total( $p_sort, $p_dir, $p_columns_targe
  * @access public
  */
 function print_column_title_severity( $p_sort, $p_dir, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
-	echo '<td>';
+	echo '<th class="column-severity">';
 	print_view_bug_sort_link( lang_get( 'severity' ), 'severity', $p_sort, $p_dir, $p_columns_target );
 	print_sort_icon( $p_dir, $p_sort, 'severity' );
-	echo '</td>';
+	echo '</th>';
 }
 
 /**
@@ -769,10 +769,10 @@ function print_column_title_severity( $p_sort, $p_dir, $p_columns_target = COLUM
  * @access public
  */
 function print_column_title_status( $p_sort, $p_dir, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
-	echo '<td>';
+	echo '<th class="column-status">';
 	print_view_bug_sort_link( lang_get( 'status' ), 'status', $p_sort, $p_dir, $p_columns_target );
 	print_sort_icon( $p_dir, $p_sort, 'status' );
-	echo '</td>';
+	echo '</th>';
 }
 
 /**
@@ -784,10 +784,10 @@ function print_column_title_status( $p_sort, $p_dir, $p_columns_target = COLUMNS
  * @access public
  */
 function print_column_title_last_updated( $p_sort, $p_dir, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
-	echo '<td>';
+	echo '<th class="column-last-modified">';
 	print_view_bug_sort_link( lang_get( 'updated' ), 'last_updated', $p_sort, $p_dir, $p_columns_target );
 	print_sort_icon( $p_dir, $p_sort, 'last_updated' );
-	echo '</td>';
+	echo '</th>';
 }
 
 /**
@@ -814,7 +814,7 @@ function print_column_title_summary( $p_sort, $p_dir, $p_columns_target = COLUMN
  * @access public
  */
 function print_column_title_bugnotes_count( $p_sort, $p_dir, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
-	echo '<td> # </td>';
+	echo '<th class="column-bugnotes-count"> # </th>';
 }
 
 /**
@@ -826,9 +826,9 @@ function print_column_title_bugnotes_count( $p_sort, $p_dir, $p_columns_target =
  * @access public
  */
 function print_column_title_description( $p_sort, $p_dir, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
-	echo '<td>';
+	echo '<th class="column-description">';
 	echo lang_get( 'description' );
-	echo '</td>';
+	echo '</th>';
 }
 
 /**
@@ -840,9 +840,9 @@ function print_column_title_description( $p_sort, $p_dir, $p_columns_target = CO
  * @access public
  */
 function print_column_title_steps_to_reproduce( $p_sort, $p_dir, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
-	echo '<td>';
+	echo '<th class="column-steps-to-reproduce">';
 	echo lang_get( 'steps_to_reproduce' );
-	echo '</td>';
+	echo '</th>';
 }
 
 /**
@@ -854,19 +854,19 @@ function print_column_title_steps_to_reproduce( $p_sort, $p_dir, $p_columns_targ
  * @access public
  */
 function print_column_title_additional_information( $p_sort, $p_dir, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
-	echo '<td>';
+	echo '<th class="column-additional-information">';
 	echo lang_get( 'additional_information' );
-	echo '</td>';
+	echo '</th>';
 }
 
 function print_column_title_overdue( $p_sort, $p_dir, $p_columns_target = COLUMNS_TARGET_VIEW_PAGE ) {
 	global $t_icon_path;
-	echo '<td>';
+	echo '<th class="column-overdue">';
 	$t_overdue_text = lang_get( 'overdue' );
 	$t_overdue_icon = '<img src="' . $t_icon_path . 'overdue.png" alt="' . $t_overdue_text . '" title="' . $t_overdue_text . '" />';
 	print_view_bug_sort_link( $t_overdue_icon, 'due_date', $p_sort, $p_dir, $p_columns_target );
 	print_sort_icon( $p_dir, $p_sort, 'due_date' );
-	echo '</td>';
+	echo '</th>';
 }
 
 /**
@@ -911,14 +911,14 @@ function print_column_selection( $p_bug, $p_columns_target = COLUMNS_TARGET_VIEW
  * @access public
  */
 function print_column_title_plugin( $p_column, $p_column_object, $p_sort, $p_dir, $p_columns_target=COLUMNS_TARGET_VIEW_PAGE ) {
-	echo '<td>';
+	echo '<th class="column-plugin">';
 	if ( $p_column_object->sortable ) {
 		print_view_bug_sort_link( string_display_line( $p_column_object->title ), $p_column, $p_sort, $p_dir, $p_columns_target );
 		print_sort_icon( $p_dir, $p_sort, $p_column );
 	} else {
 		echo string_display_line( $p_column_object->title );
 	}
-	echo '</td>';
+	echo '</th>';
 }
 
 /**
-- 
1.7.0.2

columns.patch (27,071 bytes)
dhx

dhx

2010-05-11 10:24

reporter   ~0025469

Nice patch, I've applied it.

Thanks again Kornel!

grangeway

grangeway

2013-04-05 17:57

reporter   ~0036481

Marking as 'acknowledged' not resolved/closed to track that change gets ported to master-2.0.x branch

Related Changesets

MantisBT: master d3f2749c

2010-05-10 13:40:47

Kornel Lesinski


Committer: dhx Details Diff
Issue 0011908: Added CSS class names to cells on View Issues page

Signed-off-by: David Hicks <hickseydr@optusnet.com.au>
mod - core/columns_api.php Diff File

MantisBT: master d1af2678

2010-05-10 14:20:58

Kornel Lesinski


Committer: dhx Details Diff
Changed table headers on View Issues page to use <th>. Added some CSS class names.

Issue 0011908

Signed-off-by: David Hicks <hickseydr@optusnet.com.au>
mod - core/columns_api.php Diff File

Issue History

Date Modified Username Field Change
2010-05-11 07:43 klkl New Issue
2010-05-11 07:43 klkl File Added: columns.patch
2010-05-11 10:09 dhx Assigned To => dhx
2010-05-11 10:09 dhx Status new => assigned
2010-05-11 10:09 dhx Target Version => 1.3.0-beta.1
2010-05-11 10:23 dhx Changeset attached => MantisBT master d1af2678
2010-05-11 10:23 dhx Changeset attached => MantisBT master d3f2749c
2010-05-11 10:24 dhx Note Added: 0025469
2010-05-11 10:24 dhx Status assigned => resolved
2010-05-11 10:24 dhx Fixed in Version => 1.3.0-beta.1
2010-05-11 10:24 dhx Resolution open => fixed
2010-09-19 03:12 dhx Status resolved => closed
2013-04-05 17:57 grangeway Status closed => acknowledged
2013-04-05 17:57 grangeway Note Added: 0036481
2013-04-05 18:07 grangeway Relationship added related to 0015721
2013-04-06 03:44 dregad Status acknowledged => resolved
2013-04-06 07:20 grangeway Status resolved => acknowledged
2013-04-06 09:26 dregad Tag Attached: 2.0.x check
2013-04-06 09:26 dregad Status acknowledged => resolved
2014-09-23 18:05 grangeway Tag Detached: 2.0.x check
2014-12-08 00:34 vboctor Status resolved => closed